# Uses of Class
org.eclipse.emf.cdo.transfer.CDOTransferSystem

Packages that use CDOTransferSystem
Package
Description
org.eclipse.emf.cdo.spi.transfer
Service provider concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.spi.repository
Client concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.spi.ui
Service provider concepts for dealing with transfers of `resources` between `systems`.
org.eclipse.emf.cdo.transfer.spi.workspace
Client concepts for dealing with transfers of `resources` between `systems`.

## Uses of CDOTransferSystem in org.eclipse.emf.cdo.spi.transfer

Subclasses of CDOTransferSystem in org.eclipse.emf.cdo.spi.transfer
Modifier and Type
Class
Description
`class`
`FileSystemTransferSystem`
A `transfer system` that abstracts the external file system.

## Uses of CDOTransferSystem in org.eclipse.emf.cdo.transfer

Methods in org.eclipse.emf.cdo.transfer that return CDOTransferSystem
Modifier and Type
Method
Description
`final CDOTransferSystem`
CDOTransfer.`getSourceSystem()`
`final CDOTransferSystem`
CDOTransferElement.`getSystem()`
`final CDOTransferSystem`
CDOTransfer.`getTargetSystem()`
Methods in org.eclipse.emf.cdo.transfer with parameters of type CDOTransferSystem
Modifier and Type
Method
Description
`protected ResourceSet`
CDOTransfer.ModelTransferContext.`createResourceSet(CDOTransferSystem system)`
Constructors in org.eclipse.emf.cdo.transfer with parameters of type CDOTransferSystem
Modifier
Constructor
Description
``
`CDOTransfer(CDOTransferSystem sourceSystem, CDOTransferSystem targetSystem)`
`protected`
`CDOTransferElement(CDOTransferSystem system)`

## Uses of CDOTransferSystem in org.eclipse.emf.cdo.transfer.spi.repository

Subclasses of CDOTransferSystem in org.eclipse.emf.cdo.transfer.spi.repository
Modifier and Type
Class
Description
`class`
`RepositoryTransferSystem`
A CDO `repository`-based implementation of a `transfer system`.

## Uses of CDOTransferSystem in org.eclipse.emf.cdo.transfer.spi.ui

Methods in org.eclipse.emf.cdo.transfer.spi.ui with parameters of type CDOTransferSystem
Modifier and Type
Method
Description
`ILabelProvider`
TransferUIProvider.`createLabelProvider(CDOTransferSystem system)`

## Uses of CDOTransferSystem in org.eclipse.emf.cdo.transfer.spi.workspace

Subclasses of CDOTransferSystem in org.eclipse.emf.cdo.transfer.spi.workspace
Modifier and Type
Class
Description
`class`
`WorkspaceTransferSystem`
An Eclipse `workspace`-based implementation of a `transfer system`.